# Class ToolChoiceType

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the tool choice type.

    public class ToolChoiceType

Inheritance
  object
  ToolChoiceType

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Any

Represents the any tool choice type.

    public const string Any = "any"

#### Field Value

string

### Auto

Represents the auto tool choice type.

    public const string Auto = "auto"

#### Field Value

string

### Tool

Represents the specific tool choice type.

    public const string Tool = "tool"

#### Field Value

string